# to run this type sh 01.sh

if [ "$1" == "-remove" ]; then
  rm -r build/* 2>/dev/null
  rmdir build 2>/dev/null
  exit 0
fi

echo "
  Step 1: Creating class files in build/jreversepro

  (Pls ignore warnings or modify 01.sh to add the Xlint checks and/or remove
  the tester directory from the sources in ./jreversepro.)

  Press Ctrl-C at any time to abort.
 "

echo "Getting file names.."
sleep 2.5 # give user a chance to break before anything is done.

mkdir -p build/jreversepro

on_ctrlC()
{
  echo "
  Ctrl-C pressed,
  Aborting now"
  exit 1
}

ctrl_c=2
trap "on_ctrlC" $ctrl_c

list=`find jreversepro/* -name *.java`

echo "Compiling to classes.."

for i in $list; do 
  bname=`basename $i .java`
  dname=`dirname $i`
  if ! test -e build/$dname/$bname.class; then
    echo "[JAVAC]: build/$dname/$bname.class"
    javac -source 1.4 -d build $i;
  fi
  sleep 0.1
done

echo "Done

  #########################################################
  To remove the files generated so far 
    sh 01.sh -remove
  or
    rm -r build/* 2>/dev/null
    rmdir build 2>/dev/null
  #########################################################
 " 
