# to run this type sh 02.sh

if [ "$1" == "-remove" ]; then
  echo "Removing build folder and jar file"
  rm -r build/* 2>/dev/null
  rmdir build 2>/dev/null
  rm jreversepro.jar
  echo "Done"
  exit 0
fi

if [ "$1" == "-clean" ]; then
  echo "Cleaning up classes and removing build folder"
  rm -r build/* 2>/dev/null
  rmdir build 2>/dev/null
  exit 0
fi

echo "
  Step 1: Creating build/reversepro.jar int build

  Press Ctrl-C at any time to abort.
 "

echo "Creating jar"
HERE=$PWD # end where we started

sleep 2.5 # give user a chance to break before anything is done.

on_ctrlC()
{
  echo "
  Ctrl-C pressed,
  Aborting now"
  cd $HERE # return to predictable directory
  exit 1
}

ctrl_c=2
trap "on_ctrlC" $ctrl_c

#################################################################
# enter the top of the reversepro directory so the reversepro.jar
# will also start with these files.
# We [c]reate [m]anifest.mf and [f]ilename using manifest.txt and
# outputting jreversepro.jar containing files named *

if ! test -e jreversepro.jar; then
  cd build
  jar cmf ../manifest.txt ../jreversepro.jar *
fi

echo "Done

  #########################################################
  To remove the files generated so far 
    sh 02.sh -remove
  or
    rm -r build/* 2>/dev/null
    rmdir build 2>/dev/null
    rm jreversepro.jar

  To remove only the classes and build folder but leave the 
  jar file
    sh 02.sh -clean
  #########################################################
 " 
